# Note that this is NOT a relocatable package
%define ver      1.2.8
%define rel      2mdk
%define prefix   %{_prefix}

Summary: A library of handy utility functions.
Name: glib
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v1.2/glib-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C
Requires: %{name} = %{version}

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%changelog
* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.8-2mdk
- rebuild for the BM
- misc fixes to spec
- rebuild with macros

* Tue Jun 6 2000 DindinX <odin@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8
- Removed desc translation from spec

* Tue Mar 21 2000 DindinX <odin@mandrakesoft.com> 1.2.7-3mdk
- corrected the path in glib-config

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 1.2.7-2mdk
- Group and spec fixes

* Fri Feb 18 2000 DindinX <odin@mandrakesoft.com> 1.2.7-1mdk
- Fixed a little typo
- 1.2.7

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- 1.2.6

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.2.5.


* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.2.4

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed %{prefix}/man/man1 to %{prefix}/man/man1/*
- added back descriptions from RH 5.2

* Wed May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.3

* Tue Apr 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.2.2
- bzip2 man pages

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre1

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- new description tags 

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

%prep
%setup -n %{name}-%{ver} -q

%build
%configure

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/glib/*
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/*
%{_bindir}/*
